%define anolis_release 2
Name:           libxml2
Version:        2.9.14
Release:        %{anolis_release}%{?dist}
Summary:        Library providing XML and HTML support

License:        MIT
URL:            http://xmlsoft.org/
Source0:        https://download.gnome.org/sources/%{name}/2.9/%{name}-%{version}.tar.xz

BuildRequires:  cmake-rpm-macros gcc make pkgconfig(zlib) pkgconfig(liblzma) 

%description
iThis library allows to manipulate XML files. It includes support
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified. The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select sub nodes or ranges. A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       zlib-devel
Requires:       xz-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package static
Summary:        Static library for libxml2

%description static
Static library for libxml2 provided for specific uses or shaving a few
microseconds when parsing, do not link to them for generic purpose packages.

%package -n python3-%{name}
Summary:        Python 3 bindings for the libxml2 library
BuildRequires:  python3-devel
Requires:       %{name} = %{version}-%{release}
Obsoletes:      %{name}-python3 < %{version}-%{release}
Provides:       %{name}-python3 = %{version}-%{release}

%description -n python3-%{name}
The libxml2-python3 package contains a Python 3 module that permits
applications written in the Python programming language, version 3, to use the
interface supplied by the libxml2 library to manipulate XML files.

This library allows to manipulate XML files. It includes support
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DTDs, either
at parse time or later once the document has been modified.

%package doc
Summary:        Doc files for libxml2
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description doc
Doc files for libxml2

%prep
%autosetup

rm python/{libxml2-py.c,libxml2-py.h,libxml2-export.c}

%build
%configure --with-python=%{__python3}
%make_build

%install
rm -rf $RPM_BUILD_ROOT
%make_install
find $RPM_BUILD_ROOT -name '*.la' -print -delete
touch -m --reference=%{buildroot}%{_includedir}/libxml2/libxml/parser.h %{buildroot}%{_bindir}/xml2-config

rm -vf %{buildroot}{%{python2_sitearch},%{python3_sitearch}}/*.a
rm -vrf %{buildroot}%{_datadir}/doc/
(cd doc/examples ; make clean ; rm -rf .deps Makefile)
gzip -9 -c doc/libxml2-api.xml > doc/libxml2-api.xml.gz

%generate_compatibility_deps

%check
%make_build runtests

%ldconfig_scriptlets

%files
%dir %{abidir}
%license Copyright
%{_libdir}/libxml2.so.2*
%{abidir}/libxml2.dump
%{_mandir}/man3/libxml.3*
%{_bindir}/xmllint
%{abidir}/xmllint-option.list
%{_mandir}/man1/xmllint.1*
%{_bindir}/xmlcatalog
%{abidir}/xmlcatalog-option.list
%{_mandir}/man1/xmlcatalog.1*

%files devel
%doc doc/*.html doc/html doc/*.gif doc/*.png
%doc doc/tutorial doc/libxml2-api.xml.gz
%doc doc/examples
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/libxml2/
%{_libdir}/libxml2.so
%{_libdir}/xml2Conf.sh
%{_includedir}/libxml2/
%{_bindir}/xml2-config
%{abidir}/xml2-config-option.list
%{_mandir}/man1/xml2-config.1*
%{_datadir}/aclocal/libxml.m4
%{_libdir}/pkgconfig/libxml-2.0.pc
%{_libdir}/cmake/libxml2/

%files static
%license Copyright
%{_libdir}/libxml2.a

%files -n python3-%{name}
%doc python/TODO python/libxml2class.txt
%doc doc/*.py doc/python.html
%{python3_sitearch}/libxml2.py
%{python3_sitearch}/__pycache__/libxml2.*
%{python3_sitearch}/drv_libxml2.py
%{python3_sitearch}/__pycache__/drv_libxml2.*
%{python3_sitearch}/libxml2mod.so
%{abidir}/libxml2mod.dump

%files doc
%doc NEWS README.md TODO

%changelog
* Wed Oct 19 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.9.14-2
- optimise spec file

* Tue Aug 30 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.9.14-1
- update to 2.9.14

* Tue Mar  8 2022 forrest_ly <flin@linux.alibaba.com> - 2.9.13-1 
- Init for Anolis OS 23
